package com.ynet.life.platform.tranSwitch.limit;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.platform.base.PlatformConstants;
import com.ynet.life.platform.tranSwitch.limit.a;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

public class PBLimitAccTranDaySum implements a {

   private static String a = "SELECT AIF_SIGNFLAG FROM PB_ACCINF WHERE AIF_BANKID = ? AND AIF_CSTNO = ? AND AIF_ACCNO = ?";
   private static String b = "SELECT PLA_DAYMAX, PLA_DAYMAX_STT, PLA_DAYSUM, PLA_LASTDATE FROM PB_LIMIT_ACC";
   private static String c = "UPDATE PB_LIMIT_ACC SET PLA_DAYSUM = 0, PLA_LASTDATE = ?";
   private static String d = "UPDATE PB_LIMIT_ACC SET PLA_DAYSUM = PLA_DAYSUM + ?";
   private static String e = "UPDATE PB_LIMIT_ACC SET PLA_DAYSUM = PLA_DAYSUM - ? ";
   private static String f = " WHERE PLA_TYPE = ?AND PLA_BANKID = ? AND PLA_CHANNEL = ? AND PLA_CRYTYPE = ? AND PLA_CSTNO = ? AND PLA_ACCNO = ?";


   public final void a(Context accNo, Connection connection) throws GENEException {
      String payAmount = (String)accNo.getDataValue("payAmount");
      String bankId = (String)accNo.getDataValue(PlatformConstants.FIELD_BANK_ID);
      String channel = (String)accNo.getDataValue(PlatformConstants.FIELD_CHANNEL);
      String currencyType = (String)accNo.getDataValue("currencyType");
      String cstNo = (String)accNo.getDataValue(PlatformConstants.FIELD_CST_NO);
      String accNo1 = (String)accNo.getDataValue("payAccount");
      String type = a(connection, bankId, cstNo, accNo1);
      ArrayList inputList;
      (inputList = new ArrayList()).add(payAmount);
      inputList.add(type);
      inputList.add(bankId);
      inputList.add(channel);
      inputList.add(currencyType);
      inputList.add(cstNo);
      inputList.add(accNo1);
      LifeDBAccess.executeSQLUpdate(connection, e + f, inputList);
   }

   private static void a(String limitStt) throws TranFailException {
      if("1".equals(limitStt)) {
         throw new TranFailException("EBPBLT13");
      } else {
         throw new TranFailException("EBPBLT14");
      }
   }

   private static String a(Connection signFlag, String type, String cstNo, String accNo) throws TranFailException {
      ArrayList inputList;
      (inputList = new ArrayList()).add(type);
      inputList.add(cstNo);
      inputList.add(accNo);
      String signFlag1 = (String)LifeDBAccess.querySingleResult(signFlag, a, inputList, 1).get(0);
      type = "";
      if("0".equals(signFlag1)) {
         type = "21";
      } else if("1".equals(signFlag1)) {
         type = "20";
      }

      return type;
   }

   public static void main(String[] connection) {
      Connection connection1 = null;

      String userName;
      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
         String dsl = "jdbc:oracle:thin:@192.168.12.45:1521:orcl";
         userName = "life";
         String password = "life";
         connection1 = DriverManager.getConnection(dsl, userName, password);
      } catch (Exception var24) {
         var24.printStackTrace();
      }

      PBLimitAccTranDaySum dsl1 = new PBLimitAccTranDaySum();

      try {
         userName = null;
         userName = (String)null.getDataValue(PlatformConstants.FIELD_BANK_ID);
         String var4 = (String)null.getDataValue(PlatformConstants.FIELD_CHANNEL);
         String var5 = (String)null.getDataValue("currencyType");
         String var6 = (String)null.getDataValue(PlatformConstants.FIELD_CST_NO);
         String var7 = (String)null.getDataValue("payAccount");
         BigDecimal var8 = new BigDecimal((String)null.getDataValue("payAmount"));
         String var9 = a(connection1, userName, var6, var7);
         ArrayList var10;
         (var10 = new ArrayList()).add(var9);
         var10.add(userName);
         var10.add(var4);
         var10.add(var5);
         var10.add(var6);
         var10.add(var7);
         List var31 = LifeDBAccess.querySingleResult(connection1, b + f, var10, 4);
         BigDecimal var11 = new BigDecimal((String)var31.get(0));
         String var12 = (String)var31.get(1);
         BigDecimal var13 = new BigDecimal((String)var31.get(2));
         String var14 = LifeStandard.getServerTime("yyyyMMdd");
         String var32 = (String)var31.get(3);
         if(!var14.equals(var32)) {
            (var10 = new ArrayList()).add(var14);
            var10.add(var9);
            var10.add(userName);
            var10.add(var4);
            var10.add(var5);
            var10.add(var6);
            var10.add(var7);
            LifeDBAccess.executeSQLUpdate(connection1, c + f, var10);
            if(var8.compareTo(var11) > 0) {
               a(var12);
            }
         } else if(var8.add(var13).compareTo(var11) > 0) {
            a(var12);
         }

         userName = null;
         userName = (String)null.getDataValue("payAmount");
         var4 = (String)null.getDataValue(PlatformConstants.FIELD_BANK_ID);
         var5 = (String)null.getDataValue(PlatformConstants.FIELD_CHANNEL);
         var6 = (String)null.getDataValue("currencyType");
         var7 = (String)null.getDataValue(PlatformConstants.FIELD_CST_NO);
         String var30 = (String)null.getDataValue("payAccount");
         var9 = a(connection1, var4, var7, var30);
         (var10 = new ArrayList()).add(userName);
         var10.add(var9);
         var10.add(var4);
         var10.add(var5);
         var10.add(var6);
         var10.add(var7);
         var10.add(var30);
         LifeDBAccess.executeSQLUpdate(connection1, d + f, var10);
         connection1.commit();
         return;
      } catch (GENEException var25) {
         var25.printStackTrace();
         return;
      } catch (SQLException var26) {
         var26.printStackTrace();
      } finally {
         if(connection1 != null) {
            try {
               connection1.close();
            } catch (SQLException var23) {
               var23.printStackTrace();
            }
         }

      }

   }
}
